# /****************************************************************************
# 
#   This file is part of the VRender library.
#   Copyright (C) 2005 Cyril Soler (Cyril.Soler@imag.fr)
#   Version 1.0.0, released on June 27, 2005.
# 
#   http://artis.imag.fr/Members/Cyril.Soler/VRender
# 
#   VRender is free software; you can redistribute it and/or modify it under the
#   terms of the GNU General Public License as published by the Free Software
#   Foundation; either version 2 of the License, or (at your option) any later
#   version.
#   
#   VRender is distributed in the hope that it will be useful, but WITHOUT ANY
#   WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
#   A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
#   
#   You should have received a copy of the GNU General Public License along with
#   VRender; if not, write to the Free Software Foundation, Inc., 59 Temple
#   Place, Suite 330, Boston, MA  02111-1307  USA
# 
# *****************************************************************************/

CONFIG *= staticlib
TEMPLATE = lib

UI_DIR = .ui
MOC_DIR = .moc

CXXFLAGS *= -g
debug {
	TARGET = VRender.debug
	OBJECTS_DIR = .obj.debug
}
release {
	TARGET = VRender
	OBJECTS_DIR = .obj
}

DESTDIR = ../lib

DEFINES *= LINUX

SOURCES = 	VRender.cpp \
				Exporter.cpp \
				EPSExporter.cpp \
				FIGExporter.cpp \
				ParserGL.cpp \
				BSPSortMethod.cpp \
				VisibilityOptimizer.cpp \
				gpc.cpp \
				Primitive.cpp \
				BackFaceCullingOptimizer.cpp \
				Types.cpp \
				TopologicalSortMethod.cpp \
				PrimitivePositioning.cpp 

HEADERS = 	VRender.h \
				Exporter.h \
				ParserGL.h \
				Primitive.h \
				Vector3.h \
				Vector2.h \
				PrimitivePositioning.h \
				AxisAlignedBox.h \
				gpc.h \
				NVector3.h 

